WinUser (install4j API)
Date: 2010-09-29

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.windows
Class WinUser

    java.lang.Object
      com.install4j.api.windows.WinUser

    public class WinUser

extends java.lang.Object

Collection of static methods to create or delete users and local groups on Windows 2000 and higher.

If a helper process with elevated privileges has been created by the "Request privileges" action, the methods of this class are pushed to the helper process. Please see the help topic on "Elevation Of Privileges" for more information.

Author:
  ej-technologies GmbH

Nested Class Summary
`static class` | `WinUser.AddUserResult` The class of the objects returned by `addUser(java.lang.String, java.lang.String, java.lang.String, com.install4j.api.windows.WinUser.GroupCreationMode, java.lang.String, java.lang.String)`.
`static class` | `WinUser.AddUserResultType` The type of result returned by `addUser(java.lang.String, java.lang.String, java.lang.String, com.install4j.api.windows.WinUser.GroupCreationMode, java.lang.String, java.lang.String)`
`static class` | `WinUser.GroupCreationMode` The group creation mode.

Constructor Summary
`WinUser()`

Method Summary
`static WinUser.AddUserResult` | `addUser(java.lang.String name, java.lang.String password, java.lang.String comment, WinUser.GroupCreationMode groupCreationMode, java.lang.String localGroupNameOrSid, java.lang.String localGroupComment)` Add a user and optionally a local group.
`static boolean` | `deleteLocalGroup(java.lang.String nameOrSid)` Delete a local group.
`static boolean` | `deleteUser(java.lang.String nameOrSid)` Delete a user.
`static java.lang.String` | `getAccountName(java.lang.String sid)` Try to get an account name for a SID (Security Identifier).
`static java.lang.String` | `getUserSid()` Get the users SID (Security Identifier) of the current process.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WinUser

    public WinUser()

Method Detail

### deleteUser

    public static boolean deleteUser(java.lang.String nameOrSid)

  Delete a user.

  Parameters:
    `nameOrSid` - an account name or a SID in String form
  Returns:
    `true` if successful or if the user doesn't exist

### deleteLocalGroup

    public static boolean deleteLocalGroup(java.lang.String nameOrSid)

  Delete a local group.

  Parameters:
    `nameOrSid` - an account name or a SID in String form
  Returns:
    `true` if successful or if the local group doesn't exist

### addUser

    public static WinUser.AddUserResult addUser(java.lang.String name,
                                                java.lang.String password,
                                                java.lang.String comment,
                                                WinUser.GroupCreationMode groupCreationMode,
                                                java.lang.String localGroupNameOrSid,
                                                java.lang.String localGroupComment)

  Add a user and optionally a local group.

  Parameters:
    `name` - the user name
    `password` - the password for the account
    `comment` - an optional comment. Can be `null`
    `groupCreationMode` - how the group should be created
    `localGroupNameOrSid` - a group name or optionally a SID if the group already exists. Can be `null` for `WinUser.GroupCreationMode.NONE`.
    `localGroupComment` - an optional comment for the local group. Can be `null`
  Returns:
    the result of the operation

### getAccountName

    public static java.lang.String getAccountName(java.lang.String sid)

  Try to get an account name for a SID (Security Identifier).

  Parameters:
    `sid` - the SID in String form
  Returns:
    A qualified account name or `null` if the account could not be found.

### getUserSid

    public static java.lang.String getUserSid()

  Get the users SID (Security Identifier) of the current process.

  Returns:
    A SID in String form or `null` if the method fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD